OpenAI API DocsCommunity translation · Official structure

Resources

Audio Voice Consents — List

OpenAI API endpoint method reference.

English source
This English page is rendered from the official Markdown mirror in this repository.View on OpenAI ↗

For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.

List voice consents

get /audio/voice_consents

Returns a list of voice consent recordings.

Query Parameters

  • after: optional string

    A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.

  • limit: optional number

    A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

Returns

  • data: array of object { id, created_at, language, 2 more }

    • id: string

      The consent recording identifier.

    • created_at: number

      The Unix timestamp (in seconds) for when the consent recording was created.

    • language: string

      The BCP 47 language tag for the consent phrase (for example, en-US).

    • name: string

      The label provided when the consent recording was uploaded.

    • object: "audio.voice_consent"

      The object type, which is always audio.voice_consent.

      • "audio.voice_consent"
  • has_more: boolean

  • object: "list"

    • "list"
  • first_id: optional string or null

  • last_id: optional string or null

Example

curl https://api.openai.com/v1/audio/voice_consents \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "data": [
    {
      "id": "cons_1234",
      "created_at": 0,
      "language": "language",
      "name": "name",
      "object": "audio.voice_consent"
    }
  ],
  "has_more": true,
  "object": "list",
  "first_id": "first_id",
  "last_id": "last_id"
}

Example

curl https://api.openai.com/v1/audio/voice_consents?limit=20 \
  -H "Authorization: Bearer $OPENAI_API_KEY"